Package com.ocient.metrics

# Class QueryMetrics

java.lang.Object
com.ocient.metrics.QueryMetrics

public class QueryMetrics extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final PerfCounter`
`bytesRecv`
`final PerfCounter`
`cursorPosition`
`final PerfCounter`
`cursorWaitTime`
`final PerfCounter`
`fetchQueueDepth`
`final PerfCounter`
`fetchRequests`
`final PerfCounter`
`fetchRTT`
`long`
`firstByteTime`
`long`
`lastByteTime`
`final PerfCounter`
`pingResponses`
`final PerfCounter`
`rowBatchBytesRecv`
`final PerfCounter`
`rowBatchDeserMs`
`final PerfCounter`
`rowBatchesRecv`
`final PerfCounter`
`rowBlobsRecv`
`final PerfCounter`
`rowsPending`
`final PerfCounter`
`rowsRecv`

## Constructor Summary

Constructors
Constructor
Description
`QueryMetrics(String queryId)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getBytesRecovered()`
`long`
`getFirstByteTimestamp()`
`long`
`getLastByteTimestamp()`
`long`
`getRowsRecovered()`
`void`
`removeAll()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fetchQueueDepth

public final PerfCounter fetchQueueDepth

### rowsRecv

public final PerfCounter rowsRecv

### rowsPending

public final PerfCounter rowsPending

### bytesRecv

public final PerfCounter bytesRecv

### fetchRequests

public final PerfCounter fetchRequests

### fetchRTT

public final PerfCounter fetchRTT

### rowBatchesRecv

public final PerfCounter rowBatchesRecv

### rowBlobsRecv

public final PerfCounter rowBlobsRecv

### rowBatchBytesRecv

public final PerfCounter rowBatchBytesRecv

### rowBatchDeserMs

public final PerfCounter rowBatchDeserMs

### pingResponses

public final PerfCounter pingResponses

### cursorPosition

public final PerfCounter cursorPosition

### cursorWaitTime

public final PerfCounter cursorWaitTime

### firstByteTime

public volatile long firstByteTime

### lastByteTime

public volatile long lastByteTime

## Constructor Details

### QueryMetrics

public QueryMetrics(String queryId)

## Method Details

### getRowsRecovered

public long getRowsRecovered()

### getBytesRecovered

public long getBytesRecovered()

### getFirstByteTimestamp

public long getFirstByteTimestamp()

### getLastByteTimestamp

public long getLastByteTimestamp()

### removeAll

public void removeAll()